Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractTariffEntry

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractTariffEntry

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class ContractTariffEntry
    extends IdTitle

Тариф, привязанный к договору, будь то глобальный или персональный.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractTariffEntry()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<java.util.Date>` | `getAvailableChangeDates()` |
  `java.util.List<java.lang.Integer>` | `getAvailableChangeTariffIds()` |
  `java.lang.String` | `getComment()` |
  `int` | `getContractId()` |
  `java.util.Date` | `getDateFrom()` |
  `java.util.Date` | `getDateTo()` |
  `int` | `getEntityId()` |
  `int` | `getEntityMid()` |
  `int` | `getPosition()` |
  `int` | `getReplacedFromContractTariffId()` |
  `int` | `getReplacedFromTariffId()` |
  `java.lang.String` | `getTariffPlanComment()` | Комментарий тарифа( из справочника тарифа )
  `int` | `getTariffPlanId()` |
  `int` | `getTreeId()` |
  `java.lang.String` | `getWebTitle()` |
  `boolean` | `isCanCancel()` |
  `boolean` | `isPersonal()` |
  `void` | `setAvailableChangeDates​(java.util.List<java.util.Date> availableChangeDates)` |
  `void` | `setAvailableChangeTariffIds​(java.util.List<java.lang.Integer> availableChangeTariffIds)` |
  `void` | `setCanCancel​(boolean canCancel)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setDateFrom​(java.util.Date dateFrom)` |
  `void` | `setDateTo​(java.util.Date dateTo)` |
  `void` | `setEntityId​(int entityId)` |
  `void` | `setEntityMid​(int entityMid)` |
  `void` | `setPersonal​(boolean personal)` |
  `void` | `setPosition​(int position)` |
  `void` | `setReplacedFromContractTariffId​(int replacedFromContractTariffId)` |
  `void` | `setReplacedFromTariffId​(int replacedFromTariffId)` |
  `void` | `setTariffPlanComment​(java.lang.String tariffPlanComment)` |
  `void` | `setTariffPlanId​(int tariffPlanId)` |
  `void` | `setTreeId​(int treeId)` |
  `void` | `setWebTitle​(java.lang.String webTitle)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractTariffEntry

    public ContractTariffEntry()

- ## Method Details

  - ### isPersonal

    public boolean isPersonal()

  - ### setPersonal

    public void setPersonal​(boolean personal)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getDateFrom

    public java.util.Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom​(java.util.Date dateFrom)

  - ### getDateTo

    public java.util.Date getDateTo()

  - ### setDateTo

    public void setDateTo​(java.util.Date dateTo)

  - ### getPosition

    public int getPosition()

  - ### setPosition

    public void setPosition​(int position)

  - ### getEntityMid

    public int getEntityMid()

  - ### setEntityMid

    public void setEntityMid​(int entityMid)

  - ### getEntityId

    public int getEntityId()

  - ### setEntityId

    public void setEntityId​(int entityId)

  - ### getTreeId

    public int getTreeId()

  - ### setTreeId

    public void setTreeId​(int treeId)

  - ### getTariffPlanId

    public int getTariffPlanId()

  - ### setTariffPlanId

    public void setTariffPlanId​(int tariffPlanId)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getReplacedFromContractTariffId

    public int getReplacedFromContractTariffId()

  - ### setReplacedFromContractTariffId

    public void setReplacedFromContractTariffId​(int replacedFromContractTariffId)

  - ### getReplacedFromTariffId

    public int getReplacedFromTariffId()

  - ### setReplacedFromTariffId

    public void setReplacedFromTariffId​(int replacedFromTariffId)

  - ### isCanCancel

    public boolean isCanCancel()

  - ### setCanCancel

    public void setCanCancel​(boolean canCancel)

  - ### getAvailableChangeTariffIds

    public java.util.List<java.lang.Integer> getAvailableChangeTariffIds()

  - ### setAvailableChangeTariffIds

    public void setAvailableChangeTariffIds​(java.util.List<java.lang.Integer> availableChangeTariffIds)

  - ### getAvailableChangeDates

    public java.util.List<java.util.Date> getAvailableChangeDates()

  - ### setAvailableChangeDates

    public void setAvailableChangeDates​(java.util.List<java.util.Date> availableChangeDates)

  - ### getWebTitle

    public java.lang.String getWebTitle()

  - ### setWebTitle

    public void setWebTitle​(java.lang.String webTitle)

  - ### getTariffPlanComment

    public java.lang.String getTariffPlanComment()
    Комментарий тарифа( из справочника тарифа )

  - ### setTariffPlanComment

    public void setTariffPlanComment​(java.lang.String tariffPlanComment)